weka.classifiers.trees.ht

## Class SplitCandidate

- java.lang.Object
- - weka.classifiers.trees.ht.SplitCandidate

- All Implemented Interfaces:
    java.lang.Comparable<SplitCandidate>

      public class SplitCandidate
      extends java.lang.Object
      implements java.lang.Comparable<SplitCandidate>

  Encapsulates a candidate split
  Version:
    $Revision: 9705 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.util.Map<java.lang.String,WeightMass>>` | `m_postSplitClassDistributions` list of class distributions resulting from a split - 2 entries in the outer list for numeric splits and n for nominal splits
    `double` | `m_splitMerit` The merit of the split
    `Split` | `m_splitTest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitCandidate(Split splitTest, java.util.List<java.util.Map<java.lang.String,WeightMass>> postSplitDists, double merit)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SplitCandidate comp)`
    `int` | `numSplits()` Number of branches resulting from the split

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_splitTest

          public Split m_splitTest

    - #### m_postSplitClassDistributions

          public java.util.List<java.util.Map<java.lang.String,WeightMass>> m_postSplitClassDistributions

      list of class distributions resulting from a split - 2 entries in the outer list for numeric splits and n for nominal splits

    - #### m_splitMerit

          public double m_splitMerit

      The merit of the split

  - ### Constructor Detail

    - #### SplitCandidate

          public SplitCandidate(Split splitTest,
                                java.util.List<java.util.Map<java.lang.String,WeightMass>> postSplitDists,
                                double merit)

      Constructor
      Parameters:
        `splitTest` - the splitting test
        `postSplitDists` - the distributions resulting from the split
        `merit` - the merit of the split

  - ### Method Detail

    - #### numSplits

          public int numSplits()

      Number of branches resulting from the split
      Returns:
        the number of subsets of instances resulting from the split

    - #### compareTo

          public int compareTo(SplitCandidate comp)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<SplitCandidate>`